#!/bin/sh

REGISTRY=code.balsillie.net
REPOSITORY=containers
IMAGE=$1

TAG1=$(date +%Y-%m-%d_%H-%M-%S)
TAG2=latest

docker build \
    -t $REGISTRY/$REPOSITORY/$IMAGE:$TAG1 \
    -t $REGISTRY/$REPOSITORY/$IMAGE:$TAG2 \
    -f ./$IMAGE/DOCKERFILE \
    ./$IMAGE

docker push $REGISTRY/$REPOSITORY/$IMAGE:$TAG1
docker push $REGISTRY/$REPOSITORY/$IMAGE:$TAG2
